org.eclipse.ease.lang.unittest.ui.views

## Class UnitTestView

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.ViewPart
      - - org.eclipse.ease.lang.unittest.ui.views.UnitTestView

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, IPersistable, IViewPart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

    public class UnitTestView
    extends ViewPart

### Field Summary

Fields
`static java.lang.String` `TEST_STATUS_PROPERTY`
`static java.lang.String` `VIEW_ID`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`UnitTestView()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createPartControl(Composite parent)`
`void` `dispose()`
`TestSuiteScriptEngine` `getCurrentEngine()`
`ITestSuite` `getCurrentTestSuite()`
`static java.lang.String` `getDurationString(long duration)`
`TreeViewer` `getFileTreeViewer()`
`StructuredViewer` `getTableViewer()`
`void` `notifyEngineCreation(TestSuiteScriptEngine engine)`
`static void` `openEditor(java.lang.Object resource, int lineNumber)` Opens the given resource in an editor.
`void` `setFocus()`
`void` `terminateSuite()`

### Methods inherited from class org.eclipse.ui.part.ViewPart

`getViewSite, init, init, saveState, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Field Detail

#### VIEW_ID

    public static final java.lang.String VIEW_ID

See Also:
  Constant Field Values

#### TEST_STATUS_PROPERTY

    public static final java.lang.String TEST_STATUS_PROPERTY

See Also:
  Constant Field Values

### Constructor Detail

#### UnitTestView

    public UnitTestView()

### Method Detail

#### openEditor

    public static void openEditor(java.lang.Object resource,
                                  int lineNumber)

Opens the given resource in an editor. Needs to be run from the UI thread.

Parameters:
  `resource` - resource to open
  `lineNumber` - line number to jump to in editor

#### createPartControl

    public void createPartControl(Composite parent)

Specified by:
  `createPartControl` in interface `IWorkbenchPart`
Specified by:
  `createPartControl` in class `WorkbenchPart`

#### setFocus

    public void setFocus()

Specified by:
  `setFocus` in interface `IWorkbenchPart`
Specified by:
  `setFocus` in class `WorkbenchPart`

#### getFileTreeViewer

    public TreeViewer getFileTreeViewer()

#### getTableViewer

    public StructuredViewer getTableViewer()

#### notifyEngineCreation

    public void notifyEngineCreation(TestSuiteScriptEngine engine)

#### getDurationString

    public static java.lang.String getDurationString(long duration)

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `WorkbenchPart`

#### terminateSuite

    public void terminateSuite()

#### getCurrentEngine

    public TestSuiteScriptEngine getCurrentEngine()

Returns:
  the currentEngine

#### getCurrentTestSuite

    public ITestSuite getCurrentTestSuite()